package cz.moneta.test.harness.support.util;

public interface RequestPoll<RESP> {

    /**
     * default is 500 milliseconds
     */
    RequestPoll<RESP> retryDelayMillis(int delay);

    /**
     * default is 10 retries
     */
    RequestPoll<RESP> maxRetries(int retries);

    RESP isNull();

    RESP isNotNull();

    RESP isEqual(Object object);
}
